Package org.eclipse.birt.chart.event

# Class Polygon3DRenderEvent

java.lang.Object
java.util.EventObject
org.eclipse.birt.chart.event.ChartEvent
org.eclipse.birt.chart.event.PrimitiveRenderEvent
org.eclipse.birt.chart.event.PolygonRenderEvent
org.eclipse.birt.chart.event.Polygon3DRenderEvent

All Implemented Interfaces:
  `Serializable`, `Comparable`, `I3DRenderEvent`

public final class Polygon3DRenderEvent extends PolygonRenderEvent implements I3DRenderEvent
A rendering event type for rendering 3D Polygon object.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.eclipse.birt.chart.event.PrimitiveRenderEvent

`DRAW, FILL, iObjIndex`

## Constructor Summary

Constructors
Constructor
Description
`Polygon3DRenderEvent(Object oSource)`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`PrimitiveRenderEvent`
`copy()`
`Fill`
`getBackground()`
`double`
`getBrightness()`
`Object3D`
`getObject3D()`
Returns the 3D object associated with this event.
`Location3D[]`
`getPoints3D()`
`boolean`
`isBehind()`
`boolean`
`isDoubleSided()`
Returns true if double sided polygons (not enclosing a volume)
`void`
`prepare2D(double xOffset, double yOffset)`
Prepares the coordinates to render on 2D plane.
`void`
`reset()`
Resets the inner state of current event.
`void`
`setBackground(Fill ifBackground)`
Sets the background fill attributes for the polygon
`void`
`setBehind(boolean value)`
Sets if this polygon is facing behind(along user's viewing direction).
`void`
`setBrightness(double value)`
Sets the brightness of this polygon, the value ranges 0.0 - 1.0.
`void`
`setDoubleSided(boolean value)`
Sets if this polygon is double sided.
`void`
`setPoints3D(Location3D[] loa)`
Note that setPoints3D must be called with the points in the right order: that is needed for the right orientation of the polygon.
`void`
`setPoints3D(Location3D[] loa, boolean inverted)`
Note that setPoints3D must be called with the points in the right order: that is needed for the right orientation of the polygon.

### Methods inherited from class org.eclipse.birt.chart.event.PolygonRenderEvent

`draw, fill, getBounds, getLineAttributes, getOutline, getPoints, setOutline, setPoints`

### Methods inherited from class org.eclipse.birt.chart.event.PrimitiveRenderEvent

`compareRegular, compareTo, compareTransposed, getDepth, getLabel, isEnabled, setDepth, setEnable`

### Methods inherited from class org.eclipse.birt.chart.event.ChartEvent

`setSourceObject`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Polygon3DRenderEvent

public Polygon3DRenderEvent(Object oSource)
The constructor.

## Method Details

### isDoubleSided

public boolean isDoubleSided()
Returns true if double sided polygons (not enclosing a volume)

Returns:

### setDoubleSided

public void setDoubleSided(boolean value)
Sets if this polygon is double sided.

Parameters:
  `value` -

### isBehind

public boolean isBehind()

Returns:
  Returns if this polygon is facing behind(along user's viewing direction).

### setBehind

public void setBehind(boolean value)
Sets if this polygon is facing behind(along user's viewing direction).

### setBackground

public void setBackground(Fill ifBackground)
Description copied from class: `PolygonRenderEvent`
Sets the background fill attributes for the polygon

Overrides:
  `setBackground` in class `PolygonRenderEvent`

### getBackground

public Fill getBackground()

Overrides:
  `getBackground` in class `PolygonRenderEvent`
Returns:
  Returns the background fill attributes for the polygon

### getBrightness

public double getBrightness()

Returns:
  Returns the brightness of this polyogn(0.0 - 1.0).

### setBrightness

public void setBrightness(double value)
Sets the brightness of this polygon, the value ranges 0.0 - 1.0.

### setPoints3D

public void setPoints3D(Location3D[] loa) throws ChartException
Note that setPoints3D must be called with the points in the right order: that is needed for the right orientation of the polygon. Points must be given in anti-clockwise order if looking at the face from outside the enclosed volume, and so that two adjacent points define a line of the polygon. A minimum of three points is required, less will throw an IllegalArgumentException, three consecutive points cannot be aligned.

Parameters:
  `la` - Sets the co-ordinates for each point that defines the polygon
Throws:
  `ChartException`

### setPoints3D

public void setPoints3D(Location3D[] loa, boolean inverted) throws ChartException
Note that setPoints3D must be called with the points in the right order: that is needed for the right orientation of the polygon. Points must be given in anti-clockwise order if looking at the face from outside the enclosed volume, and so that two adjacent points define a line of the polygon. A minimum of three points is required, less will throw an IllegalArgumentException, three consecutive points cannot be aligned.

Parameters:
  `inverted` - Inverts the orientation of the surface if true
  `la` - Sets the co-ordinates for each point that defines the polygon
Throws:
  `ChartException`

### getPoints3D

public Location3D[] getPoints3D()

Returns:
  Returns the co-ordinates for each point in the polygon

### prepare2D

public void prepare2D(double xOffset, double yOffset)
Description copied from interface: `I3DRenderEvent`
Prepares the coordinates to render on 2D plane.

Specified by:
  `prepare2D` in interface `I3DRenderEvent`
Parameters:
  `xOffset` -
  `yOffset` -

### copy

public PrimitiveRenderEvent copy()

Overrides:
  `copy` in class `PolygonRenderEvent`
Returns:
  A copy of this primitive rendering instruction implemented by subclasses

### reset

public void reset()
Description copied from class: `ChartEvent`
Resets the inner state of current event. This must be implemented if the object is cached and reused.

Overrides:
  `reset` in class `PolygonRenderEvent`

### getObject3D

public Object3D getObject3D()
Description copied from interface: `I3DRenderEvent`
Returns the 3D object associated with this event.

Specified by:
  `getObject3D` in interface `I3DRenderEvent`
Returns: